(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/common/http'), require('@angular/forms'), require('@angular/platform-browser/animations'), require('@angular/material'), require('@angular/router'), require('@angular/core'), require('rxjs')) :
    typeof define === 'function' && define.amd ? define('angular-ieeesb-lib', ['exports', '@angular/common', '@angular/common/http', '@angular/forms', '@angular/platform-browser/animations', '@angular/material', '@angular/router', '@angular/core', 'rxjs'], factory) :
    (factory((global['angular-ieeesb-lib'] = {}),global.ng.common,global.ng.common.http,global.ng.forms,global.ng.platformBrowser.animations,global.ng.material,global.ng.router,global.ng.core,global.rxjs));
}(this, (function (exports,common,http,forms,animations,material,i1,i0,rxjs) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m)
            return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length)
                    o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LoadingService = /** @class */ (function () {
        function LoadingService() {
            this.delay = 250;
            this.loaders = 0;
            this.time = 0;
            this.loadingSubject = new rxjs.BehaviorSubject(false);
        }
        /**
         * @return {?}
         */
        LoadingService.prototype.getLoading = /**
         * @return {?}
         */
            function () {
                return this.loadingSubject.asObservable();
            };
        /**
         * @return {?}
         */
        LoadingService.prototype.setLoading = /**
         * @return {?}
         */
            function () {
                this.loaders++;
                this.time = Date.now();
                this.loadingSubject.next(true);
                if (this.timeout) {
                    clearTimeout(this.timeout);
                }
            };
        /**
         * @return {?}
         */
        LoadingService.prototype.unsetLoading = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.loaders--;
                if (this.loaders < 0)
                    this.loaders = 0;
                if (this.loaders == 0) {
                    this.timeout = setTimeout(( /**
                     * @return {?}
                     */function () {
                        _this.loadingSubject.next(false);
                    }), this.delay - (Date.now() - this.time));
                }
            };
        LoadingService.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        LoadingService.ctorParameters = function () { return []; };
        /** @nocollapse */ LoadingService.ngInjectableDef = i0.defineInjectable({ factory: function LoadingService_Factory() { return new LoadingService(); }, token: LoadingService, providedIn: "root" });
        return LoadingService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var UtilsService = /** @class */ (function () {
        function UtilsService(route, loadingService) {
            var _this = this;
            this.route = route;
            this.loadingService = loadingService;
            this.paramsSubject = new rxjs.BehaviorSubject(null);
            route.queryParams.subscribe(( /**
             * @param {?} params
             * @return {?}
             */function (params) {
                if (Object.keys(params).length > 0)
                    _this.setParams(params);
            }));
        }
        /**
         * @param {?} params
         * @return {?}
         */
        UtilsService.prototype.objectToQuerystring = /**
         * @param {?} params
         * @return {?}
         */
            function (params) {
                return '?' + Object.keys(params).map(( /**
                 * @param {?} key
                 * @return {?}
                 */function (key) { return key + '=' + params[key]; })).join('&');
            };
        /**
         * @param {?} on
         * @param {?} callback
         * @return {?}
         */
        UtilsService.prototype.setRedirect = /**
         * @param {?} on
         * @param {?} callback
         * @return {?}
         */
            function (on, callback) {
                if (this.redirectParams)
                    return;
                /** @type {?} */
                var url = new URL(callback);
                this.redirectParams = { on: on, url: url };
            };
        /**
         * @return {?}
         */
        UtilsService.prototype.getRedirect = /**
         * @return {?}
         */
            function () {
                return this.redirectParams;
            };
        /**
         * @param {?} on
         * @param {?} params
         * @param {?=} navigate
         * @return {?}
         */
        UtilsService.prototype.redirect = /**
         * @param {?} on
         * @param {?} params
         * @param {?=} navigate
         * @return {?}
         */
            function (on, params, navigate) {
                var e_1, _a;
                if (this.redirectParams) {
                    if (this.redirectParams && this.redirectParams.on === on) {
                        try {
                            for (var _b = __values(this.redirectParams.callback.searchParams), _c = _b.next(); !_c.done; _c = _b.next()) {
                                var param = _c.value;
                                params[param[0]] = params[1];
                            }
                        }
                        catch (e_1_1) {
                            e_1 = { error: e_1_1 };
                        }
                        finally {
                            try {
                                if (_c && !_c.done && (_a = _b.return))
                                    _a.call(_b);
                            }
                            finally {
                                if (e_1)
                                    throw e_1.error;
                            }
                        }
                        window.location.replace("" + this.redirectParams.callback.origin + this.redirectParams.callback.pathname + this.objectToQuerystring(params));
                        return false;
                    }
                    return ["/" + this.redirectParams.on];
                }
                if (navigate) {
                    return navigate;
                }
            };
        /**
         * @param {?} params
         * @return {?}
         */
        UtilsService.prototype.setParams = /**
         * @param {?} params
         * @return {?}
         */
            function (params) {
                this.paramsSubject.next(params);
            };
        /**
         * @return {?}
         */
        UtilsService.prototype.getParams = /**
         * @return {?}
         */
            function () {
                return this.paramsSubject.asObservable();
            };
        /**
         * @param {?} options
         * @return {?}
         */
        UtilsService.prototype.filter = /**
         * @param {?} options
         * @return {?}
         */
            function (options) {
                var e_2, _a, e_3, _b, e_4, _c;
                /** @type {?} */
                var search = options.search.normalize('NFD').replace(/[\u0300-\u036f]/g, "").toLowerCase();
                /** @type {?} */
                var items = [];
                try {
                    for (var _d = __values(options.items), _e = _d.next(); !_e.done; _e = _d.next()) {
                        var item = _e.value;
                        try {
                            for (var _f = __values(options.keys), _g = _f.next(); !_g.done; _g = _f.next()) {
                                var key = _g.value;
                                if (Array.isArray(item[key])) {
                                    /** @type {?} */
                                    var result = false;
                                    try {
                                        for (var _h = __values(item[key]), _j = _h.next(); !_j.done; _j = _h.next()) {
                                            var word = _j.value;
                                            if (word.toString().normalize('NFD').replace(/[\u0300-\u036f]/g, "").toLowerCase().indexOf(search) > -1) {
                                                items.push(item);
                                                result = true;
                                                break;
                                            }
                                        }
                                    }
                                    catch (e_4_1) {
                                        e_4 = { error: e_4_1 };
                                    }
                                    finally {
                                        try {
                                            if (_j && !_j.done && (_c = _h.return))
                                                _c.call(_h);
                                        }
                                        finally {
                                            if (e_4)
                                                throw e_4.error;
                                        }
                                    }
                                    if (result)
                                        break;
                                    continue;
                                }
                                if (item[key].toString().normalize('NFD').replace(/[\u0300-\u036f]/g, "").toLowerCase().indexOf(search) > -1) {
                                    items.push(item);
                                    break;
                                }
                            }
                        }
                        catch (e_3_1) {
                            e_3 = { error: e_3_1 };
                        }
                        finally {
                            try {
                                if (_g && !_g.done && (_b = _f.return))
                                    _b.call(_f);
                            }
                            finally {
                                if (e_3)
                                    throw e_3.error;
                            }
                        }
                    }
                }
                catch (e_2_1) {
                    e_2 = { error: e_2_1 };
                }
                finally {
                    try {
                        if (_e && !_e.done && (_a = _d.return))
                            _a.call(_d);
                    }
                    finally {
                        if (e_2)
                            throw e_2.error;
                    }
                }
                return items;
            };
        /**
         * @param {?} error
         * @return {?}
         */
        UtilsService.prototype.handleError = /**
         * @param {?} error
         * @return {?}
         */
            function (error) {
                this.loadingService.unsetLoading();
                /** @type {?} */
                var errorText;
                if (error.error instanceof ProgressEvent) {
                    // A client-side or network error occurred. Handle it accordingly.
                    console.error('An error occurred:', error.message);
                    errorText = 'Error en la red';
                }
                else {
                    console.error("Backend returned code " + error.status + ", body was: ", error.error);
                    switch (error.error.code) {
                        case 'duplicate_key':
                            errorText = "Par\u00E1metro " + error.error.key + " duplicado";
                            break;
                        case 'invalid_parameters':
                            errorText = "Par\u00E1metro " + error.error.violations[0].context.label + " inv\u00E1lido";
                            break;
                        default:
                            errorText = error.error.message;
                            break;
                    }
                }
                // return an observable with a user-facing error message
                return rxjs.throwError(errorText);
            };
        UtilsService.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        UtilsService.ctorParameters = function () {
            return [
                { type: i1.ActivatedRoute },
                { type: LoadingService }
            ];
        };
        /** @nocollapse */ UtilsService.ngInjectableDef = i0.defineInjectable({ factory: function UtilsService_Factory() { return new UtilsService(i0.inject(i1.ActivatedRoute), i0.inject(LoadingService)); }, token: UtilsService, providedIn: "root" });
        return UtilsService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @return {?}
     */
    function _window() {
        // return the global native browser window object
        return window;
    }
    var WindowRef = /** @class */ (function () {
        function WindowRef() {
        }
        Object.defineProperty(WindowRef.prototype, "nativeWindow", {
            get: /**
             * @return {?}
             */ function () {
                return _window();
            },
            enumerable: true,
            configurable: true
        });
        WindowRef.decorators = [
            { type: i0.Injectable }
        ];
        return WindowRef;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SelectComponent = /** @class */ (function () {
        function SelectComponent() {
            this.item = {};
            this.label = '';
            this.options = [];
            this.optionsLabels = [];
            this.editing = true;
            this.itemChange = new i0.EventEmitter();
        }
        /**
         * @return {?}
         */
        SelectComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        SelectComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ieeesb-select',
                        template: "<mat-form-field class=\"w-100\">\n\t<mat-select [placeholder]=\"label\" [disabled]=\"!editing\" [value]=\"item\" (valueChange)=\"itemChange.emit($event)\">\n\t\t<mat-option [value]=\"option\" *ngFor=\"let option of options; let i = index;\">{{optionsLabels[i]}}</mat-option>\n\t</mat-select>\n</mat-form-field>\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        SelectComponent.ctorParameters = function () { return []; };
        SelectComponent.propDecorators = {
            item: [{ type: i0.Input }],
            label: [{ type: i0.Input }],
            options: [{ type: i0.Input }],
            optionsLabels: [{ type: i0.Input }],
            editing: [{ type: i0.Input }],
            itemChange: [{ type: i0.Output }]
        };
        return SelectComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ButtonComponent = /** @class */ (function () {
        function ButtonComponent() {
            this.label = [];
            this.disabled = false;
        }
        /**
         * @return {?}
         */
        ButtonComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        ButtonComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ieeesb-button',
                        template: "<a class=\"input-container w-100\" [class.disabled]=\"disabled\" [class.text-danger]=\"danger\" [routerLink]=\"\" *ngIf=\"!link\"><span class=\"text-center w-100\">{{label}}</span></a>\n<a class=\"input-container w-100\" [class.disabled]=\"disabled\" [class.text-danger]=\"danger\" [routerLink]=\"[link]\" *ngIf=\"link\"><span class=\"text-center w-100\">{{label}}</span></a>\n",
                        styles: [".rounded{border-radius:.25rem!important}.shadow-center-2{box-shadow:0 3px 6px rgba(0,0,0,.16),0 3px 6px rgba(0,0,0,.23)}.shadow-center-3{box-shadow:0 6px 20px rgba(0,0,0,.19),0 6px 6px rgba(0,0,0,.23)}.input-container .input-button,.shadow-1{box-shadow:0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24)}.shadow-2{box-shadow:0 3px 6px rgba(0,0,0,.16),0 3px 6px rgba(0,0,0,.23)}.shadow-3{box-shadow:0 10px 20px rgba(0,0,0,.19),0 6px 6px rgba(0,0,0,.23)}.shadow-4{box-shadow:0 14px 28px rgba(0,0,0,.25),0 10px 10px rgba(0,0,0,.22)}.shadow-5{box-shadow:0 19px 38px rgba(0,0,0,.3),0 15px 12px rgba(0,0,0,.22)}.z-index-0{z-index:-10}.z-index-1{z-index:0}.z-index-2{z-index:10}.z-index-3{z-index:100}.z-index-4{z-index:1000}.rounded-top-0{border-top-left-radius:0!important;border-top-right-radius:0!important}.rounded-bottom-0{border-bottom-left-radius:0!important;border-bottom-right-radius:0!important}.center-childs{display:flex;align-items:center}.input-container{padding:0!important;display:flex;align-items:center;cursor:pointer;text-decoration:none;user-drag:none;-webkit-user-drag:none}.input-container.disabled{pointer-events:none;opacity:.65}.input-container:hover{text-decoration:none!important}.input-container:focus{border-color:#ced4da!important;outline:0;box-shadow:none!important}.input-container .input-button{margin-left:auto;margin-right:auto;background-color:#069;text-align:center;color:#fff;font-size:20px;cursor:pointer;transition:.2s;padding-top:0;padding-bottom:0;border-radius:.25rem;width:100%}.input-container .input-button.danger{background-color:#dc3545}.input-container .input-button:hover{background-color:#046;transition:.2s}.input-container .input-button p{margin:0;padding:5px 0}"]
                    }] }
        ];
        /** @nocollapse */
        ButtonComponent.ctorParameters = function () { return []; };
        ButtonComponent.propDecorators = {
            label: [{ type: i0.Input }],
            link: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            danger: [{ type: i0.Input }]
        };
        return ButtonComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PaginationComponent = /** @class */ (function () {
        function PaginationComponent() {
            this.pageSize = 10;
            this.maxPages = 3;
            this.itemsChange = new i0.EventEmitter();
            this.page = 1;
        }
        Object.defineProperty(PaginationComponent.prototype, "pages", {
            get: /**
             * @return {?}
             */ function () {
                return Math.ceil(this.items.length / this.pageSize);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(PaginationComponent.prototype, "numbers", {
            get: /**
             * @return {?}
             */ function () {
                /** @type {?} */
                var first = Math.round(this.page - this.maxPages / 2);
                first = first < 1 ? 1 : first;
                /** @type {?} */
                var last = first + this.maxPages - 1;
                last = last > this.pages ? this.pages : last;
                /** @type {?} */
                var ans = [];
                for (var i = first; i <= last; i++) {
                    ans.push(i);
                }
                return ans;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        PaginationComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @param {?} changes
         * @return {?}
         */
        PaginationComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                if (this.page > this.pages) {
                    this.page = this.pages;
                }
                if (this.page < 1) {
                    this.page = 1;
                }
                this.updateItems();
            };
        /**
         * @return {?}
         */
        PaginationComponent.prototype.updateItems = /**
         * @return {?}
         */
            function () {
                this.itemsChange.emit(this.items.slice((this.page - 1) * this.pageSize, this.page * this.pageSize));
            };
        /**
         * @param {?} page
         * @return {?}
         */
        PaginationComponent.prototype.goPage = /**
         * @param {?} page
         * @return {?}
         */
            function (page) {
                this.page = page;
                this.updateItems();
            };
        /**
         * @return {?}
         */
        PaginationComponent.prototype.nextPage = /**
         * @return {?}
         */
            function () {
                this.page++;
                this.updateItems();
            };
        /**
         * @return {?}
         */
        PaginationComponent.prototype.prevPage = /**
         * @return {?}
         */
            function () {
                this.page--;
                this.updateItems();
            };
        PaginationComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ieeesb-pagination',
                        template: "<nav aria-label=\"Page navigation example\" *ngIf=\"items && items.length > 0\">\n\t<ul class=\"pagination\">\n\t\t<li class=\"page-item\">\n\t\t\t<a class=\"page-link\" [routerLink]=\"\" (click)=\"prevPage()\" [class.disabled]=\"page <= 1\">\n\t\t\t\t<span>Anterior</span>\n\t\t\t</a>\n\t\t</li>\n\t\t<li class=\"page-item\" *ngIf=\"numbers[0] !== 1\"><a class=\"page-link\" [routerLink]=\"\" (click)=\"goPage(1)\">{{1}}</a></li>\n\t\t<li class=\"page-item\" *ngFor=\"let i of numbers\" [class.active]=\"i === page\"><a class=\"page-link\" [routerLink]=\"\" (click)=\"goPage(i)\">{{i}}</a></li>\n\t\t<li class=\"page-item\" *ngIf=\"numbers[numbers.length - 1] !== pages\"><a class=\"page-link\" [routerLink]=\"\" (click)=\"goPage(pages)\">{{pages}}</a></li>\n\t\t<li class=\"page-item\">\n\t\t\t<a class=\"page-link\" [routerLink]=\"\" (click)=\"nextPage()\" [class.disabled]=\"page >= pages\">\n\t\t\t\t<span>Siguiente</span>\n\t\t\t</a>\n\t\t</li>\n\t</ul>\n</nav>\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        PaginationComponent.ctorParameters = function () { return []; };
        PaginationComponent.propDecorators = {
            items: [{ type: i0.Input }],
            pageSize: [{ type: i0.Input }],
            maxPages: [{ type: i0.Input }],
            itemsChange: [{ type: i0.Output }]
        };
        return PaginationComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SearchComponent = /** @class */ (function () {
        function SearchComponent() {
            this.searchChange = new i0.EventEmitter();
        }
        /**
         * @return {?}
         */
        SearchComponent.prototype.emit = /**
         * @return {?}
         */
            function () {
                this.searchChange.emit(this.search);
            };
        SearchComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ieeesb-search',
                        template: "<div class=\"input-group\">\n\t<input type=\"text\" [(ngModel)]=\"search\" (ngModelChange)=\"emit()\" class=\"form-control\" placeholder=\"Buscar...\" autofocus>\n\t<span class=\"input-group-append\">\n\t\t<button class=\"btn btn-secondary\" type=\"button\"><span class=\"fas fa-search\"></span>&#0;</button>\n\t</span>\n</div>\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        SearchComponent.ctorParameters = function () { return []; };
        SearchComponent.propDecorators = {
            search: [{ type: i0.Input }],
            searchChange: [{ type: i0.Output }]
        };
        return SearchComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ListComponent = /** @class */ (function () {
        function ListComponent(cdRef) {
            this.cdRef = cdRef;
            this.rawItems = [];
            this.labels = [];
            this.keys = [];
            this.dateFormat = 'dd/MM/yyyy';
            this.linkKey = '';
            this.linkLabel = '';
            this.disabled = '';
            this.items = [];
            this._callback = new i0.EventEmitter();
        }
        /**
         * @return {?}
         */
        ListComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @param {?} item
         * @return {?}
         */
        ListComponent.prototype.callback = /**
         * @param {?} item
         * @return {?}
         */
            function (item) {
                this._callback.emit(this.linkKey.split('.').reduce(( /**
                 * @param {?} prev
                 * @param {?} curr
                 * @return {?}
                 */function (prev, curr) { return prev && prev[curr]; }), item));
            };
        /**
         * @return {?}
         */
        ListComponent.prototype.detectChanges = /**
         * @return {?}
         */
            function () {
                this.cdRef.detectChanges();
            };
        ListComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ieeesb-list',
                        template: "<div class=\"main\">\n\t<table class=\"table\">\n\t\t<thead>\n\t\t\t<tr>\n\t\t\t\t<th scope=\"col\" *ngFor=\"let label of labels\"><span>{{label}}</span></th>\n\t\t\t\t<th></th>\n\t\t\t</tr>\n\t\t</thead>\n\t\t<tbody>\n\t\t\t<ng-container *ngIf=\"items && items.length > 0\">\n\t\t\t\t<tr class=\"\" *ngFor=\"let item of items\">\n\t\t\t\t\t<ng-container *ngFor=\"let key of keys; let i = index\">\n\t\t\t\t\t\t<th scope=\"row\" *ngIf=\"i === 0\">\n\t\t\t\t\t\t\t<ng-container *ngIf=\"link\">\n\t\t\t\t\t\t\t\t<a class=\"\" [routerLink]=\"[link + (item | property:linkKey)]\">\n\t\t\t\t\t\t\t\t\t<span *ngIf=\"key.toLowerCase().includes('date')\">{{item | property:key | date:dateFormat}}</span>\n\t\t\t\t\t\t\t\t\t<span *ngIf=\"!key.toLowerCase().includes('date')\">{{item | property:key}}</span>\n\t\t\t\t\t\t\t\t</a>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t<ng-container *ngIf=\"!link\">\n\t\t\t\t\t\t\t\t<span *ngIf=\"key.toLowerCase().includes('date')\">{{item | property:key | date:dateFormat}}</span>\n\t\t\t\t\t\t\t\t<span *ngIf=\"!key.toLowerCase().includes('date')\">{{item | property:key}}</span>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</th>\n\t\t\t\t\t\t<td *ngIf=\"i !== 0\">\n\t\t\t\t\t\t\t<span *ngIf=\"key.toLowerCase().includes('date')\">{{item | property:key | date:dateFormat}}</span>\n\t\t\t\t\t\t\t<span *ngIf=\"!key.toLowerCase().includes('date')\">{{item | property:key}}</span>\n\t\t\t\t\t\t</td>\n\t\t\t\t\t</ng-container>\n\n\t\t\t\t\t<td>\n\t\t\t\t\t\t<ieeesb-button [label]=\"linkLabel\" [link]=\"link + (item | property:linkKey)\" (click)=\"callback(item)\" *ngIf=\"link\" [disabled]=\"item | property:disabled\"></ieeesb-button>\n\t\t\t\t\t\t<ieeesb-button [label]=\"linkLabel\" (click)=\"callback(item)\" *ngIf=\"!link\" [disabled]=\"item | property:disabled\"></ieeesb-button>\n\t\t\t\t\t</td>\n\t\t\t\t</tr>\n\t\t\t</ng-container>\n\t\t</tbody>\n\t</table>\n</div>\n<div class=\"row justify-content-center mt-3 mx-0\">\n\t<div class=\"col-auto\">\n\t\t<ieeesb-pagination [items]=\"rawItems\" (itemsChange)=\"items=$event; detectChanges();\" pageSize=\"10\"></ieeesb-pagination>\n\t</div>\n</div>\n<div *ngIf=\"!items || items.length <= 0\">\n\tNo hay resultados...\n</div>\n",
                        styles: [".main{overflow-x:auto}td,th{border-top:0!important;border-bottom:0!important;text-align:center!important}span{white-space:nowrap;width:100%}"]
                    }] }
        ];
        /** @nocollapse */
        ListComponent.ctorParameters = function () {
            return [
                { type: i0.ChangeDetectorRef }
            ];
        };
        ListComponent.propDecorators = {
            rawItems: [{ type: i0.Input, args: ['items',] }],
            labels: [{ type: i0.Input }],
            keys: [{ type: i0.Input }],
            dateFormat: [{ type: i0.Input }],
            link: [{ type: i0.Input }],
            linkKey: [{ type: i0.Input }],
            linkLabel: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            _callback: [{ type: i0.Output, args: ['callback',] }]
        };
        return ListComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PropertyPipe = /** @class */ (function () {
        function PropertyPipe() {
        }
        /**
         * @param {?} value
         * @param {?=} args
         * @return {?}
         */
        PropertyPipe.prototype.transform = /**
         * @param {?} value
         * @param {?=} args
         * @return {?}
         */
            function (value, args) {
                /** @type {?} */
                var properties = Array.isArray(args) ? args : args.split('.');
                return properties.reduce(( /**
                 * @param {?} prev
                 * @param {?} curr
                 * @return {?}
                 */function (prev, curr) { return prev && prev[curr]; }), value);
            };
        PropertyPipe.decorators = [
            { type: i0.Pipe, args: [{
                        name: 'property'
                    },] }
        ];
        return PropertyPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var MenuComponent = /** @class */ (function () {
        function MenuComponent() {
            this.navbarOpen = false;
        }
        /**
         * @return {?}
         */
        MenuComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () { };
        /**
         * @return {?}
         */
        MenuComponent.prototype.toggleNavbar = /**
         * @return {?}
         */
            function () {
                this.navbarOpen = !this.navbarOpen;
            };
        /**
         * @param {?} roles
         * @return {?}
         */
        MenuComponent.prototype.userHasRoles = /**
         * @param {?} roles
         * @return {?}
         */
            function (roles) {
                var _this = this;
                if (!this.user)
                    return false;
                return roles.reduce(( /**
                 * @param {?} l
                 * @param {?} a
                 * @return {?}
                 */function (l, a) { return _this.user.roles.indexOf(a) >= 0 && l; }), true);
            };
        MenuComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ieeesb-menu',
                        template: "<nav class=\"navbar navbar-expand-lg navbar-light\" [ngClass]=\"{ 'fixed-left': align === 'left', 'fixed-right': align === 'right' }\">\n\t<a class=\"navbar-brand\" href=\"#\">\n\t\t<img alt=\"Logo IEEEsb\" src=\"assets/logo_entero.svg\">\n\t</a>\n\t<button class=\"navbar-toggler mr-2\" type=\"button\" (click)=\"toggleNavbar()\">\n\t\t<span class=\"navbar-toggler-icon\"></span>\n\t</button>\n\t<div class=\"collapse navbar-collapse\" [ngClass]=\"{ 'show': navbarOpen }\">\n\t\t<ul class=\"navbar-nav mr-auto\">\n\t\t\t<div *ngFor=\"let item of items.left\">\n\t\t\t\t<div *ngIf=\"(!item.roles && !user) || (item.roles && userHasRoles(item.roles))\">\n\t\t\t\t\t<li *ngIf=\"item.type === 'router'\" class=\"nav-item\" [ngClass]=\"{ 'active': activeLink.startsWith(item.link) }\">\n\t\t\t\t\t\t<a class=\"nav-link\" [routerLink]=\"item.link\"><span>{{item.text}}</span></a>\n\t\t\t\t\t</li>\n\t\t\t\t\t<li *ngIf=\"item.type === 'link'\" class=\"nav-item\">\n\t\t\t\t\t\t<a class=\"nav-link\" [href]=\"item.link\"><span>{{item.text}}</span></a>\n\t\t\t\t\t</li>\n\t\t\t\t\t<li *ngIf=\"item.type === 'callback'\" class=\"nav-item\">\n\t\t\t\t\t\t<a class=\"nav-link\" href=\"javascript:;\" (click)=\"item.callback()\"><span>{{item.text}}</span></a>\n\t\t\t\t\t</li>\n\t\t\t\t\t<li *ngIf=\"item.type === 'text'\" class=\"nav-item text\">\n\t\t\t\t\t\t<a class=\"nav-link\"><span>{{item.text}}</span></a>\n\t\t\t\t\t</li>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ul>\n\t\t<ul class=\"navbar-nav ml-auto\">\n\t\t\t<div *ngFor=\"let item of items.right\">\n\t\t\t\t<div *ngIf=\"(!item.roles && !user) || (item.roles && userHasRoles(item.roles))\">\n\t\t\t\t\t<li *ngIf=\"item.type === 'router'\" class=\"nav-item\" [ngClass]=\"{ 'active': activeLink.startsWith(item.link) }\">\n\t\t\t\t\t\t<a class=\"nav-link\" [routerLink]=\"item.link\"><span>{{item.text}}</span></a>\n\t\t\t\t\t</li>\n\t\t\t\t\t<li *ngIf=\"item.type === 'link'\" class=\"nav-item\">\n\t\t\t\t\t\t<a class=\"nav-link\" [href]=\"item.link\"><span>{{item.text}}</span></a>\n\t\t\t\t\t</li>\n\t\t\t\t\t<li *ngIf=\"item.type === 'callback'\" class=\"nav-item\">\n\t\t\t\t\t\t<a class=\"nav-link\" href=\"javascript:;\" (click)=\"item.callback()\"><span>{{item.text}}</span></a>\n\t\t\t\t\t</li>\n\t\t\t\t\t<li *ngIf=\"item.type === 'text'\" class=\"nav-item text\">\n\t\t\t\t\t\t<a class=\"nav-link\"><span>{{item.text}}</span></a>\n\t\t\t\t\t</li>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</ul>\n\t</div>\n</nav>\n",
                        styles: [".navbar{color:#fff;padding:0;background-color:#4285f4;box-shadow:0 -3px 20px 0 #000}.navbar .navbar-brand{color:#fff;padding:0 15px;display:flex;align-items:center;margin:0;z-index:10;background-color:#fff!important}.navbar:not(.fixed-left):not(.fixed-right) .navbar-brand{height:50px}.navbar:not(.fixed-left):not(.fixed-right) img{height:40px}.navbar .navbar-collapse{border-top:1px solid #0000007d}.navbar .nav-item{height:50px}.navbar .nav-item.active,.navbar .nav-item:hover:not(.text){background-color:#519ffc!important}.navbar .nav-item a{display:flex;align-items:center;height:100%;padding:0 15px;color:#fff}@media (min-width:992px){.navbar .navbar-brand{box-shadow:3px 0 20px -10px #000}.navbar .navbar-collapse{border-top:none}.navbar.fixed-left{right:auto;float:left}.navbar.fixed-right{left:auto;float:right}.navbar.fixed-left,.navbar.fixed-right{height:100%;flex-flow:column nowrap;align-items:flex-start;bottom:0}.navbar.fixed-left .navbar-brand,.navbar.fixed-right .navbar-brand{padding-top:10px;padding-bottom:10px;box-shadow:0 3px 20px -10px #000}.navbar.fixed-left .navbar-brand img,.navbar.fixed-right .navbar-brand img{height:auto!important;width:160px!important}}@media (max-width:991px){.navbar.fixed-left .navbar-brand,.navbar.fixed-right .navbar-brand{height:50px;padding-top:10px;padding-bottom:10px}.navbar.fixed-left .navbar-brand img,.navbar.fixed-right .navbar-brand img{height:50px;width:auto}}.navbar.fixed-left .navbar-collapse,.navbar.fixed-right .navbar-collapse{flex-grow:0;flex-direction:column;width:100%}.navbar.fixed-left .navbar-collapse .navbar-nav,.navbar.fixed-right .navbar-collapse .navbar-nav{flex-direction:column;width:100%}.navbar.fixed-left .navbar-collapse .navbar-nav .nav-item,.navbar.fixed-right .navbar-collapse .navbar-nav .nav-item{width:100%}.navbar.fixed-left .navbar-collapse .navbar-nav .nav-item span,.navbar.fixed-right .navbar-collapse .navbar-nav .nav-item span{text-align:center;width:100%}.navbar.fixed-left .navbar-collapse .navbar-nav .nav-item .dropdown-toggle:after,.navbar.fixed-right .navbar-collapse .navbar-nav .nav-item .dropdown-toggle:after{border-top:2px solid transparent;border-left:2px solid;border-bottom:2px solid transparent;border-right:none;vertical-align:baseline}.navbar.fixed-left .navbar-collapse .navbar-nav .nav-item .dropdown-menu,.navbar.fixed-right .navbar-collapse .navbar-nav .nav-item .dropdown-menu{left:100%;top:0}"]
                    }] }
        ];
        /** @nocollapse */
        MenuComponent.ctorParameters = function () { return []; };
        MenuComponent.propDecorators = {
            items: [{ type: i0.Input }],
            align: [{ type: i0.Input }],
            user: [{ type: i0.Input }],
            activeLink: [{ type: i0.Input }]
        };
        return MenuComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SectionComponent = /** @class */ (function () {
        function SectionComponent() {
        }
        /**
         * @return {?}
         */
        SectionComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        SectionComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ieeesb-section',
                        template: "<div class=\"row justify-content-center mt-2\">\n\t<div class=\"col-8\">\n\t\t<hr>\n\t</div>\n</div>\n<div class=\"row justify-content-center pt-4 pb-2 mb-3 mx-0\">\n\t<div class=\"col px-0\">\n\t\t<ng-content></ng-content>\n\t</div>\n</div>\n",
                        styles: ["hr{border-top:1px solid #006df0;margin-top:0;margin-bottom:0}"]
                    }] }
        ];
        /** @nocollapse */
        SectionComponent.ctorParameters = function () { return []; };
        return SectionComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FilterPipe = /** @class */ (function () {
        function FilterPipe(utilsService) {
            this.utilsService = utilsService;
        }
        /**
         * @param {?} value
         * @param {?} search
         * @param {?} keys
         * @return {?}
         */
        FilterPipe.prototype.transform = /**
         * @param {?} value
         * @param {?} search
         * @param {?} keys
         * @return {?}
         */
            function (value, search, keys) {
                return this.utilsService.filter({
                    search: search,
                    keys: keys,
                    items: value,
                });
            };
        FilterPipe.decorators = [
            { type: i0.Pipe, args: [{
                        name: 'filter'
                    },] }
        ];
        /** @nocollapse */
        FilterPipe.ctorParameters = function () {
            return [
                { type: UtilsService }
            ];
        };
        return FilterPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TitleComponent = /** @class */ (function () {
        function TitleComponent() {
            this.title = '';
            this.linkLabel = '';
            this.disabled = false;
            this.searchChange = new i0.EventEmitter();
            this.callback = new i0.EventEmitter();
        }
        /**
         * @return {?}
         */
        TitleComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        TitleComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ieeesb-title',
                        template: "<div class=\"row justify-content-between mb-3\">\n\t<div class=\"col-12 col-md-auto\">\n\t\t<div class=\"row\">\n\t\t\t<div class=\"col-12 col-md-auto text-center align-self-center\">\n\t\t\t\t<span class=\"h2\">{{title}}</span>\n\t\t\t</div>\n\t\t\t<div class=\"col-12 col-md-6 mt-3 mt-md-0 align-self-center\" *ngIf=\"search !== null && search !== undefined\">\n\t\t\t\t<ieeesb-search [search]=\"search\" (searchChange)=\"searchChange.emit($event)\"></ieeesb-search>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n\t<div class=\"col-12 col-md-2 col-lg-3 col-xl-3 mt-3 mt-md-0 align-self-center\" *ngIf=\"linkLabel\">\n\t\t<ieeesb-button [label]=\"linkLabel\" [link]=\"link\" (click)=\"callback.emit()\" *ngIf=\"link\" [disabled]=\"disabled\"></ieeesb-button>\n\t\t<ieeesb-button [label]=\"linkLabel\" (click)=\"callback.emit()\" *ngIf=\"!link\" [disabled]=\"disabled\"></ieeesb-button>\n\t</div>\n</div>\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        TitleComponent.ctorParameters = function () { return []; };
        TitleComponent.propDecorators = {
            title: [{ type: i0.Input }],
            link: [{ type: i0.Input }],
            linkLabel: [{ type: i0.Input }],
            search: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            searchChange: [{ type: i0.Output }],
            callback: [{ type: i0.Output }]
        };
        return TitleComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TagsComponent = /** @class */ (function () {
        function TagsComponent() {
            this.label = '';
            this.editing = true;
            this.itemChange = new i0.EventEmitter();
            this.enter = new i0.EventEmitter();
            this.search = '';
        }
        /**
         * @return {?}
         */
        TagsComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        Object.defineProperty(TagsComponent.prototype, "tags", {
            get: /**
             * @return {?}
             */ function () {
                var _this = this;
                /** @type {?} */
                var filterValue = this.search.normalize('NFD').replace(/[\u0300-\u036f]/g, "").toLowerCase();
                return this.rawTags.filter(( /**
                 * @param {?} tag
                 * @return {?}
                 */function (tag) { return tag.normalize('NFD').replace(/[\u0300-\u036f]/g, "").toLowerCase().indexOf(filterValue) > -1 && _this.item.indexOf(tag) < 0; }));
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} tag
         * @return {?}
         */
        TagsComponent.prototype.addTag = /**
         * @param {?} tag
         * @return {?}
         */
            function (tag) {
                if (tag === '')
                    return;
                if (!this.item) {
                    this.item = [];
                }
                if (this.item.indexOf(tag) > -1)
                    return;
                this.item.push(tag);
                this.itemChange.emit(this.item);
                this.inputfield.nativeElement.value = '';
            };
        /**
         * @param {?} tag
         * @return {?}
         */
        TagsComponent.prototype.add = /**
         * @param {?} tag
         * @return {?}
         */
            function (tag) {
                // Add fruit only when MatAutocomplete is not open
                // To make sure this does not conflict with OptionSelected Event
                if (!this.matAutocomplete.isOpen) {
                    this.addTag(tag);
                }
            };
        /**
         * @param {?} tag
         * @return {?}
         */
        TagsComponent.prototype.removeTag = /**
         * @param {?} tag
         * @return {?}
         */
            function (tag) {
                if (this.item.indexOf(tag) < 0)
                    return;
                this.item.splice(this.item.indexOf(tag), 1);
                this.itemChange.emit(this.item);
            };
        TagsComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ieeesb-tags',
                        template: "<mat-form-field class=\"w-100\">\n\t<mat-chip-list #chipList>\n\t\t<mat-chip *ngFor=\"let chip of item\" [selectable]=\"false\" [removable]=\"true\" (removed)=\"removeTag(chip)\" [disabled]=\"!editing\">\n\t\t\t{{chip}}\n\t\t\t<mat-icon matChipRemove>cancel</mat-icon>\n\t\t</mat-chip>\n\t\t<input #inputfield [disabled]=\"!editing\" [(ngModel)]=\"search\" [placeholder]=\"label\" [matAutocomplete]=\"auto\" [matChipInputFor]=\"chipList\" (matChipInputTokenEnd)=\"add($event.value)\">\n\t</mat-chip-list>\n\t<mat-autocomplete #auto=\"matAutocomplete\" (optionSelected)=\"addTag($event.option.viewValue)\">\n\t\t<mat-option *ngFor=\"let tag of tags\" [value]=\"search\">\n\t\t\t{{tag}}\n\t\t</mat-option>\n\t</mat-autocomplete>\n</mat-form-field>\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        TagsComponent.ctorParameters = function () { return []; };
        TagsComponent.propDecorators = {
            item: [{ type: i0.Input }],
            label: [{ type: i0.Input }],
            rawTags: [{ type: i0.Input, args: ['tags',] }],
            editing: [{ type: i0.Input }],
            itemChange: [{ type: i0.Output }],
            enter: [{ type: i0.Output }],
            inputfield: [{ type: i0.ViewChild, args: ['inputfield',] }],
            matAutocomplete: [{ type: i0.ViewChild, args: ['auto',] }]
        };
        return TagsComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LoadingComponent = /** @class */ (function () {
        function LoadingComponent() {
            this.loading = false;
        }
        /**
         * @return {?}
         */
        LoadingComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        LoadingComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ieeesb-loading',
                        template: "<div class=\"loader\" *ngIf=\"loading\">\n\t<mat-progress-bar mode=\"indeterminate\"></mat-progress-bar>\n</div>\n",
                        styles: [".loader{position:fixed;width:100%;height:100%;z-index:9999;background-color:rgba(221,221,221,.4)}"]
                    }] }
        ];
        /** @nocollapse */
        LoadingComponent.ctorParameters = function () { return []; };
        LoadingComponent.propDecorators = {
            loading: [{ type: i0.Input }]
        };
        return LoadingComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AngularIEEEsbLibModule = /** @class */ (function () {
        function AngularIEEEsbLibModule() {
        }
        /**
         * @return {?}
         */
        AngularIEEEsbLibModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: AngularIEEEsbLibModule,
                    providers: [UtilsService, LoadingService, WindowRef]
                };
            };
        AngularIEEEsbLibModule.decorators = [
            { type: i0.NgModule, args: [{
                        declarations: [
                            SelectComponent,
                            ButtonComponent,
                            PaginationComponent,
                            SearchComponent,
                            ListComponent,
                            PropertyPipe,
                            MenuComponent,
                            SectionComponent,
                            FilterPipe,
                            TitleComponent,
                            TagsComponent,
                            LoadingComponent,
                        ],
                        imports: [
                            forms.FormsModule,
                            forms.ReactiveFormsModule,
                            common.CommonModule,
                            i1.RouterModule,
                            http.HttpClientModule,
                            material.MatInputModule,
                            material.MatAutocompleteModule,
                            material.MatChipsModule,
                            material.MatIconModule,
                            material.MatSelectModule,
                            material.MatProgressBarModule,
                        ],
                        providers: [
                            UtilsService,
                            LoadingService,
                            WindowRef,
                        ],
                        exports: [
                            SelectComponent,
                            ButtonComponent,
                            PaginationComponent,
                            SearchComponent,
                            ListComponent,
                            MenuComponent,
                            SectionComponent,
                            FilterPipe,
                            TitleComponent,
                            TagsComponent,
                            LoadingComponent,
                            material.MatInputModule,
                            material.MatSlideToggleModule,
                            material.MatChipsModule,
                            material.MatButtonModule,
                            material.MatTabsModule,
                            animations.BrowserAnimationsModule,
                            material.MatRippleModule,
                            material.MatIconModule,
                            material.MatCardModule,
                            material.MatToolbarModule,
                        ],
                    },] }
        ];
        return AngularIEEEsbLibModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DriveService = /** @class */ (function () {
        function DriveService(winRef, loadingService) {
            this.winRef = winRef;
            this.loadingService = loadingService;
            this.host = '';
        }
        /**
         * @param {?} host
         * @return {?}
         */
        DriveService.prototype.setHost = /**
         * @param {?} host
         * @return {?}
         */
            function (host) {
                this.host = host;
            };
        /**
         * @param {?=} type
         * @return {?}
         */
        DriveService.prototype.getFile = /**
         * @param {?=} type
         * @return {?}
         */
            function (type) {
                this.loadingService.setLoading();
                /** @type {?} */
                var responseSubject = new rxjs.Subject();
                /** @type {?} */
                var query = "?type=" + (type ? type : 'all');
                window.addEventListener("message", ( /**
                 * @param {?} event
                 * @return {?}
                 */function (event) {
                    if (!event.data.file)
                        return;
                    console.log(event.data);
                    responseSubject.next({
                        file: event.data.file,
                        url: event.data.url
                    });
                }), false);
                /** @type {?} */
                var options = "width=" + window.screen.availWidth + ",height=" + window.screen.availHeight + ",toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, copyhistory=no";
                this.child = window.open(this.host + "/#/browser" + query, 'Browser', options);
                this.checkChild();
                return responseSubject.asObservable();
            };
        /**
         * @return {?}
         */
        DriveService.prototype.checkChild = /**
         * @return {?}
         */
            function () {
                if (this.child && this.child.closed) {
                    return this.loadingService.unsetLoading();
                }
                setTimeout(this.checkChild.bind(this), 100);
            };
        /**
         * @return {?}
         */
        DriveService.prototype.getImageFile = /**
         * @return {?}
         */
            function () {
                return this.getFile('image');
            };
        DriveService.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        DriveService.ctorParameters = function () {
            return [
                { type: WindowRef },
                { type: LoadingService }
            ];
        };
        /** @nocollapse */ DriveService.ngInjectableDef = i0.defineInjectable({ factory: function DriveService_Factory() { return new DriveService(i0.inject(WindowRef), i0.inject(LoadingService)); }, token: DriveService, providedIn: "root" });
        return DriveService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.AngularIEEEsbLibModule = AngularIEEEsbLibModule;
    exports.ButtonComponent = ButtonComponent;
    exports.SelectComponent = SelectComponent;
    exports.UtilsService = UtilsService;
    exports.LoadingService = LoadingService;
    exports.DriveService = DriveService;
    exports.WindowRef = WindowRef;
    exports.ɵg = FilterPipe;
    exports.ɵc = ListComponent;
    exports.ɵj = LoadingComponent;
    exports.ɵe = MenuComponent;
    exports.ɵa = PaginationComponent;
    exports.ɵd = PropertyPipe;
    exports.ɵb = SearchComponent;
    exports.ɵf = SectionComponent;
    exports.ɵi = TagsComponent;
    exports.ɵh = TitleComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=angular-ieeesb-lib.umd.js.map